Page MenuHomePhabricator

Create an-tool1006, a ganeti vm to be used as client for the Hadoop test cluster
Closed, ResolvedPublic

Description

This vm should be the entry point to be able to use tools like Hive, Oozie, Spark with the Hadoop testing cluster (where we enabled kerberos). The ganeti VM should be a basic VM, probably 2 cores and 4/6 GB of ram are enough. The more storage we have the better, since people will have to upload some data to test. I'd say that 100/150G should be enough.

hostname: an-tool1006.eqiad.wmnet
network config: no public ip, analytics vlan
ram: 4/6G
vcores: 2
OS: Debian Stretch

Event Timeline

elukey created this task.Jun 28 2019, 5:11 PM
elukey updated the task description. (Show Details)Jun 28 2019, 5:28 PM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)

Current status is:

elukey@ganeti1001:~$  sudo gnt-group list
Group Nodes Instances AllocPolicy NDParams
row_A     4        36 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_C     4        36 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=

@akosiaris @MoritzMuehlenhoff is there any capacity limit at the moment or can I proceed with the creation of the VM? I expect this to live 3/6 months, only to support kerberos testing.

Current status is:

elukey@ganeti1001:~$  sudo gnt-group list
Group Nodes Instances AllocPolicy NDParams
row_A     4        36 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_C     4        36 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=

@akosiaris @MoritzMuehlenhoff is there any capacity limit at the moment or can I proceed with the creation of the VM? I expect this to live 3/6 months, only to support kerberos testing.

Preferably on the row_A group, as there is more disk space there available, but otherwise fine by me.

elukey moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 1 2019, 9:58 AM

Change 519984 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Introduce an-tool1006

https://gerrit.wikimedia.org/r/519984

Change 519984 merged by Elukey:
[operations/dns@master] Introduce an-tool1006

https://gerrit.wikimedia.org/r/519984

fdans triaged this task as High priority.Jul 1 2019, 3:40 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.

Change 520055 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Introduce an-tool1006

https://gerrit.wikimedia.org/r/520055

Change 520055 merged by Elukey:
[operations/puppet@production] Introduce an-tool1006

https://gerrit.wikimedia.org/r/520055

elukey closed this task as Resolved.Jul 2 2019, 6:59 AM